aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xzuwu.zsh6
1 files changed, 4 insertions, 2 deletions
diff --git a/zuwu.zsh b/zuwu.zsh
index 8449765..0646798 100755
--- a/zuwu.zsh
+++ b/zuwu.zsh
@@ -293,8 +293,9 @@ __sethist() {
__sethist
# History Size Determination
-if ! [ -n "${HISTSIZE+1}" ]; then
- eval_append ~/.zshrc "$(<<EOF
+if [[ "$AVOID_SETTING_HIST_INFO" == "" ]]; then
+ if ! [ -n "${HISTSIZE+1}" ] || ! [ -n "${SAVEHIST+1}" ]; then
+ eval_append ~/.zshrc "$(<<EOF
# Lines configured by zsh-newuser-install
HISTFILE="~/.histfile"
HISTSIZE="10000"
@@ -305,6 +306,7 @@ SAVEHIST="10000"
typeset -f __sethist >/dev/null 2>/dev/null && __sethist || true
EOF
)"
+ fi
fi
# For some reason, 30 tends to be a common "default" setting for this when not manually specified on shitty systems